qsched(1)

NAME
qsched, process-scheduler-log - show scheduling information on resource reservation

SYNTAX
qsched [-u user|--user=user] [-a|--all] [-j jid_list|--jid=jid_list] [-f|--full] [-s j|--sort=j] [-q|--queues] [-d|--debug] [-h|--help]
process-scheduler-log [-v]

DESCRIPTION
qsched reports resources being reserved for jobs on the basis of the schedule file, which is processed by process-scheduler-log, which runs continuously. Generating schedule requires setting MONITOR=1 in the params parameter of the scheduler (see

process-scheduler-log should simply be started in the background as it does not currently daemonize itself. Alternatively, it could be run under or adapted to run as a global load sensor (see It needs SGE_ROOT and SGE_CELL set in the environment when it starts.

qsched and process-scheduler-log both potentially need editing to configure for the local installation, particularly the definition of $trim_string in qsched.

OPTIONS

-a | --all
    View jobs belonging to all users (synonym for -u user) View jobs belonging to user.

-d | --debug
    Print debugging information.

-f | --full
    Print all available data for each job.

-h | --help
    Print help information.

-j jid_list | --jid=jid_list
    jid_list is a comma-separated list of job ids to view.

-q | --queues
    Sort output by queue.

-s j | --sort=j
    Sort output by job id.

-u user | --user=user
    View jobs belonging to user.

-v  Print information on standard output. -u *).

The default is to sort by start time.

FILES

/var/run/sgeprocschedlog.pid
    Contains the process id of process-scheduler-log.

${SGE_ROOT}/${SGE_CELL}/common/act_qmaster
    Consulted to check that the qmaster is active.

${SGE_ROOT}/${SGE_CELL}/common/schedule
    Normal schedule monitoring file.

${SGE_ROOT}/${SGE_CELL}/common/schedule.last
    Contents of last complete scheduling interval seen in schedule file.

SEE ALSO

AUTHOR
Mark Dixon <m.c.dixon@leeds.ac.uk>
Man page by Dave Love <d.love@liverpool.ac.uk>